<?php

//Hak Cipta dilindungi Undang-undang. Hak Cipta : Khamdi Rahmani, Reg. Kemenkum HAM No : 000121327. Dilarang merubah isi File tanpa ijin tertulis dari pemegang Hak Cipta. 

class linkpage
{
    public function page($link)
    {
        $link = md5($link);
        $link = "href='./?p463={$link}'";
        return $link;
    }

    public function pageID($id, $link)
    {
        $linkID = md5($link);
        $linkID = "href='./?i4={$id}&p463={$linkID}'";
        return $linkID;
    }
    public function pageIDTagihMulti($jenjang, $paralel, $kategori, $link)
    {
        $linkID = md5($link);
        $linkID = "href='./?jjg={$jenjang}&prl={$paralel}&ktgr={$kategori}&p463={$linkID}'";
        return $linkID;
    }
    public function pageIDTagihMultiByPeriode($jenjang, $paralel, $kategori, $jenis, $vjenis, $periode1, $v_periode1, $periode2, $v_periode2, $link)
    {
        $linkID = md5($link);
        $linkID = "href='./?jjg={$jenjang}&prl={$paralel}&ktgr={$kategori}&p463={$linkID}&jn={$jenis}&vjn={$vjenis}&prd1={$periode1}&vprd1={$v_periode1}&prd2={$periode2}&vprd2={$v_periode2}'";
        return $linkID;
    }
    public function pageIDReprint($id, $id_tr, $tahun, $link)
    {
        $linkID = md5($link);
        $linkID = "href='./?i4={$id}&p463={$linkID}&tahun=$tahun&id_tr={$id_tr}'";
        return $linkID;
    }
    public function pageIDReportSiswa($id, $link, $nis, $tahun)
    {
        $linkID = md5($link);
        $linkID = "href='./?i4={$id}&p463={$linkID}&tahun={$tahun}&nis={$nis}'";
        return $linkID;
    }
    public function pageIDBilling($id, $link, $nis, $jenis)
    {
        $linkID = md5($link);
        $linkID = "href='./?i4={$id}&p463={$linkID}&jenis={$jenis}&nis={$nis}'";
        return $linkID;
    }
    public function pageDeleteBilling($id, $link, $id_siswa, $tahun)
    {
        $linkID = md5($link);
        $linkID = "href='./?p463={$linkID}&id_billing={$id}&id_siswa={$id_siswa}&tahun={$tahun}}'";
        return $linkID;
    }
    public function pageAction($link)
    {
        $linkID = md5($link);
        $linkID = "./?p463={$linkID}";
        return $linkID;
    }

    public function exportXlsx($link, $tahun)
    {
        $linkExport = "<a href='view/{$link}.php?tahun={$tahun}' class='btn btn-primary btn-xs mb-2 btn-rounded small mx-1 px-2'> <i class='bi bi-file-earmark-x'></i> EXCEL</a>";
        return $linkExport;
    }
    public function exportXlsxBeranda($link, $judul, $tahun)
    {
        $linkExport = "<a href='view/{$link}.php?tahun={$tahun}' class='btn btn-secondary btn-xs mb-0 btn-rounded small mx-1 px-2 mt-0'> <i class='bi bi-file-earmark-x'></i> $judul (.xlsx)</a>";
        return $linkExport;
    }
    public function exportXlsxAnalisaRKAS($link, $tahun)
    {
        $linkExport = "<a href='view/{$link}.php?tahun={$tahun}' class='btn btn-secondary btn-xs mb-2 btn-rounded small mx-1 px-2 mt-1 float-right'> <i class='bi bi-file-earmark-x'></i> EXCEL ANALISA DATA</a>";
        return $linkExport;
    }
    public function exportXlsxID($link, $tahun, $id)
    {
        $linkExport = "<a href='view/{$link}.php?tahun={$tahun}&i4={$id}' class='btn btn-primary btn-xs mb-2 btn-rounded small mx-1 px-2'> <i class='bi bi-file-earmark-x'></i> EXCEL</a>";
        return $linkExport;
    }
    public function exportXlsxLapTransaksi($link, $tahun, $tgl_1, $tgl_2, $metode_lap, $jenjang_lap, $paralel_lap, $kategori, $penerima_lap)
    {
        $linkExport = "<a href='view/{$link}.php?tahun={$tahun}&tgl_1={$tgl_1}&tgl_2={$tgl_2}&metode_lap={$metode_lap}&jenjang_lap={$jenjang_lap}&paralel_lap={$paralel_lap}&kategori={$kategori}&penerima_lap={$penerima_lap}' class='btn btn-primary btn-xs float-right px-2 mx-1 d-inline'> <i class='bi bi-file-earmark-x'></i> <b>EXCEL</b></a>";
        return $linkExport;
    }
    public function exportXlsxLapTransaksi1($link, $tahun, $tgl_1, $tgl_2, $metode_lap, $jenjang_lap, $paralel_lap, $kategori, $penerima_lap)
    {
        $linkExport = "<a href='view/{$link}.php?tahun={$tahun}&tgl_1={$tgl_1}&tgl_2={$tgl_2}&metode_lap={$metode_lap}&jenjang_lap={$jenjang_lap}&paralel_lap={$paralel_lap}&kategori={$kategori}&penerima_lap={$penerima_lap}' class='btn btn-primary btn-xs float-right px-2 mx-1 d-inline'> <i class='bi bi-file-earmark-x'></i> <b>EXCEL REKAP</b></a>";
        return $linkExport;
    }
    public function exportXlsxLapTransaksi2($link, $tahun, $tgl_1, $tgl_2, $metode_lap, $jenjang_lap, $paralel_lap, $kategori, $penerima_lap)
    {
        $linkExport = "<a href='view/{$link}.php?tahun={$tahun}&tgl_1={$tgl_1}&tgl_2={$tgl_2}&metode_lap={$metode_lap}&jenjang_lap={$jenjang_lap}&paralel_lap={$paralel_lap}&kategori={$kategori}&penerima_lap={$penerima_lap}' class='btn btn-secondary btn-xs float-right px-2 mx-1 d-inline'> <i class='bi bi-file-earmark-text'></i> <b>TXT RINCI</b></a>";
        return $linkExport;
    }
    public function exportTXTLapTransaksi2($link, $tahun, $tgl_1, $tgl_2, $metode_lap, $jenjang_lap, $paralel_lap, $kategori, $penerima_lap)
    {
        $linkExport = "<a href='view/{$link}.php?tahun={$tahun}&tgl_1={$tgl_1}&tgl_2={$tgl_2}&metode_lap={$metode_lap}&jenjang_lap={$jenjang_lap}&paralel_lap={$paralel_lap}&kategori={$kategori}&penerima_lap={$penerima_lap}' class='btn btn-primary btn-xs float-right px-2 mx-1 d-inline'> <i class='bi bi-file-earmark-x'></i> <b>EXCEL RINCI</b></a>";
        return $linkExport;
    }
    public function exportXlsxLapRekap1($link, $tahun, $jenjang_lap, $paralel_lap, $kategori, $jenis_lap, $status_lap)
    {
        $linkExport = "<a href='view/{$link}.php?tahun={$tahun}&jenjang={$jenjang_lap}&paralel={$paralel_lap}&kategori={$kategori}&jenis={$jenis_lap}&status={$status_lap}' class='btn btn-primary btn-xs float-right px-2 mx-1 d-inline'> <i class='bi bi-file-earmark-x'></i> <b>EXCEL</b></a>";
        return $linkExport;
    }
    public function exportXlsxLapBulanan($link, $tahun, $jenjang_lap, $paralel_lap, $status_lap, $jenis_lap, $bulan1, $bulan2)
    {
        $linkExport = "<a href='view/{$link}.php?tahun={$tahun}&jenjang={$jenjang_lap}&paralel={$paralel_lap}&jenis={$jenis_lap}&status={$status_lap}&bulan1={$bulan1}&bulan2={$bulan2}' class='btn btn-primary btn-xs float-right px-2 mx-1 d-inline'> <i class='bi bi-file-earmark-x'></i> <b>EXCEL</b></a>";
        return $linkExport;
    }


    //SIMAKOM
    public function exportXlsxRKAS($link, $tahun)
    {
        $linkExport = "<a href='view/{$link}.php?tahun={$tahun}' class='btn btn-primary btn-xs px-2 mx-2 d-inline'> <i class='bi bi-file-earmark-x'></i> <b>EXCEL</b></a>";
        return $linkExport;
    }
    public function exportXlsxRKASRekap($link, $tahun)
    {
        $linkExport = "<a href='view/{$link}.php?tahun={$tahun}' class='btn btn-success btn-xs px-2 mx-2 d-inline'> <i class='bi bi-file-earmark-x'></i> <b> REKAP</b></a>";
        return $linkExport;
    }
    public function exportXlsxBuku($link, $tahun,  $buku, $bulan, $tanggal)
    {
        $linkExport = "<a href='view/{$link}.php?tahun={$tahun}&buku={$buku}&bulan={$bulan}&tanggal={$tanggal}' class='btn btn-primary btn-xs float-right px-2 mx-1 d-inline'> <i class='bi bi-file-earmark-x'></i> <b>EXCEL</b></a>";
        return $linkExport;
    }
    public function exportXlsxRealisasiPeriodik($link, $tahun, $bulan, $tanggal)
    {
        $linkExport = "<a href='view/{$link}.php?tahun={$tahun}&bulan={$bulan}&tanggal={$tanggal}' class='btn btn-primary btn-xs float-right px-2 mx-1 d-inline'> <i class='bi bi-file-earmark-x'></i> <b>EXCEL</b></a>";
        return $linkExport;
    }
    public function exportXlsxRealisasiRekap($link, $tahun, $tanggal)
    {
        $linkExport = "<a href='view/{$link}.php?tahun={$tahun}&tanggal={$tanggal}' class='btn btn-primary btn-xs float-left px-2 mx-1 d-inline'> <i class='bi bi-file-earmark-x'></i> <b>EXCEL</b></a>";
        return $linkExport;
    }
    public function exportXlsxRealisasiPendapatan($link, $tahun, $tanggal)
    {
        $linkExport = "<a href='view/{$link}.php?tahun={$tahun}&tanggal={$tanggal}' class='btn btn-primary btn-xs float-left px-2 mx-1 d-inline'> <i class='bi bi-file-earmark-x'></i> <b>EXCEL</b></a>";
        return $linkExport;
    }

    //TABUNGAN
    public function formNasabah($link, $tahun)
    {
        $linkExport = "<a href='view/{$link}.php?tahun={$tahun}' class='small mx-1 px-2'> <i class='bi bi-file-earmark-x'></i> DOWNLOAD FORMAT DATA NASABAH </a>";
        return $linkExport;
    }
    public function formTransaksi($link, $tahun)
    {
        $linkExport = "<a href='view/{$link}.php?tahun={$tahun}' class='small mx-1 px-2'> <i class='bi bi-file-earmark-x'></i> DOWNLOAD FORMAT DATA TRANSAKSI </a>";
        return $linkExport;
    }
}
